{
    template: '${tmpl}',
        data: function() {
            return {
                listPath: { path: `/${this.$root.channelName}/jdindentlist`, query: {} },
                currentStep: 1,
                companyData: [],
                channelFrom: null,
                user_Name: "",
            }
        },
    mounted: function() {
        document.cookie.split('; ').map((item, index) => {
            if (item.includes('pin=')) {
                this.user_Name = decodeURIComponent(item.substring(4));
                console.log(this.user_Name, "bbbbbbbbbbbbbbbbbbbbbbbb");
            }
        });
        this.getChannelFrom();
    },
    created: function() {

    },
    methods: {
        getChannelFrom(){
            this.channelFrom = this.$root.getChannelPath();
        },
        loginOut(){
            /*
            var url = encodeURIComponent("http://tm.plus.jdcloud.com/#/jd/jdtrademark") ;
            
            */
            /*
             location.href = `http://login.jdcloud.com/logout?callback=http://tm.plus.jdcloud.com/#/jd/jdtrademark`;
             */

            let _this = this;
            $.ajax({
                async: true,
                url: "https://login.jdcloud.com/logout",
                type: "GET",
                dataType: "jsonp",
                jsonp: 'callback',
                jsonpCallback: 'handleResponse',
                data: {
                },
                success: function (response, status, xhr) {
                    console.log('状态为：' + status + ',状态是：' + xhr.statusText);
                    console.log(response);
                    if (response.code == 0) {
                        console.log(response);
                        _this.$router.push({ path: `/${_this.$root.channelName}/jdtrademark` });
                    }
                }
            });


        },
    },
    vname: "gsb-companydetail"
}
